> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/AllocatedStockPositions ## OpenAPI ````json GET /v26.4/AllocatedStockPositions { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/AllocatedStockPositions": { "get": { "tags": [ "AllocatedStockPositions" ], "parameters": [ { "name": "StoreId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ProductId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ParentAllocatedStockPositionId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "AllocatedStockTypeId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "LocationLevel5Id", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "LocationsAssignedOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "Offset", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "RecordCount", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewAllocatedStockPositionDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewAllocatedStockPositionDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewAllocatedStockPositionDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewAllocatedStockPositionDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "storeId": { "type": "integer", "format": "int32", "nullable": true }, "productId": { "type": "integer", "format": "int32", "nullable": true }, "parentAllocatedStockPositionId": { "type": "integer", "format": "int32", "nullable": true }, "stock": { "type": "number", "format": "double", "nullable": true }, "allocatedStockTypeId": { "type": "integer", "format": "int32", "nullable": true }, "locationLevel5Id": { "type": "integer", "format": "int32", "nullable": true }, "productNumber": { "type": "integer", "format": "int64", "nullable": true }, "productDescription": { "type": "string", "nullable": true }, "locationLevel5Code": { "type": "string", "nullable": true }, "locationLevel5Description": { "type": "string", "nullable": true }, "allocatedStockTypeCode": { "type": "string", "nullable": true }, "allocatedStockTypeDescription": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````